package com.bonus.boot.manager.physical.dao;

import com.bonus.boot.manager.career.entity.CareerBean;
import com.bonus.boot.manager.physical.entity.EmployeeHealthCheckBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author tqzhang
 */
@Mapper
public interface EmployeeHealthCheckDao {

    List<EmployeeHealthCheckBean> getList(EmployeeHealthCheckBean o);

    void updateExcelData(EmployeeHealthCheckBean vo);

    List<CareerBean> getAllPhysicalPerson();

    List<CareerBean> getAllAppointPerson();

    List<CareerBean> getAllIdNumber();

    List<CareerBean> getAllAppointIdNumber();

    void updateAppointStatus(String idNumber, String status);

    void insertAppointStatus(String id,String hospitalId);

    void updatePDFAddress(String idNumber, String filePath);

    int getIsExistAppoint(String idNumber);

    List<CareerBean> getNoCheckLsit(String beginDateNext, String endDateNext, String hospitalId);

    void updateNoCheckStatus(String ids, String status);

    String getPersonPhoneNumber(String idNumber);

    void updateAppointCancel(String idNumber, String status);
}
